Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class GroupSender.SendingThread

    java.lang.Object
      java.lang.Thread
          ix.util.CatchingThread
              ix.ispace.GroupSender.SendingThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  GroupSender

     class GroupSender.SendingThread

extends CatchingThread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`(package private) int` | `delay`
`(package private) Sendable` | `messageContents`
`(package private) java.util.Collection` | `toNames`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GroupSender.SendingThread()`

Method Summary
`void` | `innerRun()` Calls the run() method of the innerRunnable passed to the constructor, if innerRunnable is non-null; otherwise does nothing.
`(package private) void` | `sendTo(java.lang.String toName, Sendable contents)`

Methods inherited from class ix.util.CatchingThread
`handleException, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### messageContents

    Sendable messageContents

### toNames

    java.util.Collection toNames

### delay

    int delay

Constructor Detail

### GroupSender.SendingThread

    GroupSender.SendingThread()

Method Detail

### innerRun

    public void innerRun()

  Description copied from class: `CatchingThread`
  Calls the run() method of the innerRunnable passed to the constructor, if innerRunnable is non-null; otherwise does nothing. An alternative to supplying an innerRunnable is to redefine this method in a subclass.

  Overrides:
    `innerRun` in class `CatchingThread`

### sendTo

    void sendTo(java.lang.String toName,
                Sendable contents)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD